## EogScrollView

EogScrollView

## Synopsis

                        EogScrollView;
    enum                EogTransparencyStyle;
    GtkWidget*          eog_scroll_view_new                 (void);
    void                eog_scroll_view_set_image           (EogScrollView *view,
                                                             EogImage *image);
    void                eog_scroll_view_set_scroll_wheel_zoom
                                                            (EogScrollView *view,
                                                             gboolean scroll_wheel_zoom);
    void                eog_scroll_view_set_zoom_upscale    (EogScrollView *view,
                                                             gboolean upscale);
    void                eog_scroll_view_set_zoom_multiplier (EogScrollView *view,
                                                             gdouble multiplier);
    void                eog_scroll_view_set_antialiasing_in (EogScrollView *view,
                                                             gboolean state);
    void                eog_scroll_view_set_antialiasing_out
                                                            (EogScrollView *view,
                                                             gboolean state);
    void                eog_scroll_view_set_transparency    (EogScrollView *view,
                                                             EogTransparencyStyle style,
                                                             GdkColor *color);
    gboolean            eog_scroll_view_scrollbars_visible  (EogScrollView *view);
    void                eog_scroll_view_set_popup           (EogScrollView *view,
                                                             GtkMenu *menu);
    void                eog_scroll_view_zoom_in             (EogScrollView *view,
                                                             gboolean smooth);
    void                eog_scroll_view_zoom_out            (EogScrollView *view,
                                                             gboolean smooth);
    void                eog_scroll_view_zoom_fit            (EogScrollView *view);
    void                eog_scroll_view_set_zoom            (EogScrollView *view,
                                                             double zoom);
    double              eog_scroll_view_get_zoom            (EogScrollView *view);
    gboolean            eog_scroll_view_get_zoom_is_min     (EogScrollView *view);
    gboolean            eog_scroll_view_get_zoom_is_max     (EogScrollView *view);
    void                eog_scroll_view_show_cursor         (EogScrollView *view);
    void                eog_scroll_view_hide_cursor         (EogScrollView *view);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTable
                                     +----EogScrollView

## Implemented Interfaces

EogScrollView implements AtkImplementorIface and GtkBuildable.

## Signals

      "zoom-changed"                                   : Run Last

## Description

## Details

### EogScrollView

    typedef struct _EogScrollView EogScrollView;

### enum EogTransparencyStyle

    typedef enum {
    	EOG_TRANSP_BACKGROUND,
    	EOG_TRANSP_CHECKED,
    	EOG_TRANSP_COLOR
    } EogTransparencyStyle;

### eog_scroll_view_new ()

    GtkWidget*          eog_scroll_view_new                 (void);

Returns : |

### eog_scroll_view_set_image ()

    void                eog_scroll_view_set_image           (EogScrollView *view,
                                                             EogImage *image);

`view` : |
`image` : |

### eog_scroll_view_set_scroll_wheel_zoom ()

    void                eog_scroll_view_set_scroll_wheel_zoom
                                                            (EogScrollView *view,
                                                             gboolean scroll_wheel_zoom);

`view` : |
`scroll_wheel_zoom` : |

### eog_scroll_view_set_zoom_upscale ()

    void                eog_scroll_view_set_zoom_upscale    (EogScrollView *view,
                                                             gboolean upscale);

`view` : |
`upscale` : |

### eog_scroll_view_set_zoom_multiplier ()

    void                eog_scroll_view_set_zoom_multiplier (EogScrollView *view,
                                                             gdouble multiplier);

`view` : |
`multiplier` : |

### eog_scroll_view_set_antialiasing_in ()

    void                eog_scroll_view_set_antialiasing_in (EogScrollView *view,
                                                             gboolean state);

`view` : |
`state` : |

### eog_scroll_view_set_antialiasing_out ()

    void                eog_scroll_view_set_antialiasing_out
                                                            (EogScrollView *view,
                                                             gboolean state);

`view` : |
`state` : |

### eog_scroll_view_set_transparency ()

    void                eog_scroll_view_set_transparency    (EogScrollView *view,
                                                             EogTransparencyStyle style,
                                                             GdkColor *color);

`view` : |
`style` : |
`color` : |

### eog_scroll_view_scrollbars_visible ()

    gboolean            eog_scroll_view_scrollbars_visible  (EogScrollView *view);

`view` : |
Returns : |

### eog_scroll_view_set_popup ()

    void                eog_scroll_view_set_popup           (EogScrollView *view,
                                                             GtkMenu *menu);

`view` : |
`menu` : |

### eog_scroll_view_zoom_in ()

    void                eog_scroll_view_zoom_in             (EogScrollView *view,
                                                             gboolean smooth);

`view` : |
`smooth` : |

### eog_scroll_view_zoom_out ()

    void                eog_scroll_view_zoom_out            (EogScrollView *view,
                                                             gboolean smooth);

`view` : |
`smooth` : |

### eog_scroll_view_zoom_fit ()

    void                eog_scroll_view_zoom_fit            (EogScrollView *view);

`view` : |

### eog_scroll_view_set_zoom ()

    void                eog_scroll_view_set_zoom            (EogScrollView *view,
                                                             double zoom);

`view` : |
`zoom` : |

### eog_scroll_view_get_zoom ()

    double              eog_scroll_view_get_zoom            (EogScrollView *view);

`view` : |
Returns : |

### eog_scroll_view_get_zoom_is_min ()

    gboolean            eog_scroll_view_get_zoom_is_min     (EogScrollView *view);

`view` : |
Returns : |

### eog_scroll_view_get_zoom_is_max ()

    gboolean            eog_scroll_view_get_zoom_is_max     (EogScrollView *view);

`view` : |
Returns : |

### eog_scroll_view_show_cursor ()

    void                eog_scroll_view_show_cursor         (EogScrollView *view);

`view` : |

### eog_scroll_view_hide_cursor ()

    void                eog_scroll_view_hide_cursor         (EogScrollView *view);

`view` : |

## Signal Details

### The `"zoom-changed"` signal

    void                user_function                      (EogScrollView *eogscrollview,
                                                            gdouble        arg1,
                                                            gpointer       user_data)          : Run Last

`eogscrollview` : | the object which received the signal.
`arg1` : |
`user_data` : | user data set when the signal handler was connected.